module Frizzle
  class ArrivalEstimates < Base
    class << self

      def find(options={})
        fetch("/arrival-estimates.json",
          :query => options )
      end

      def find_by_agencies(agencies)
        fetch("/arrival-estimates.json",
          :query => { :agencies => formatted_list(agencies) })
      end

      def find_by_agencies_and_routes(agencies, routes)
        fetch("/arrival-estimates.json",
          :query => {
            :agencies => formatted_list(agencies),
            :routes => formatted_list(routes)
          })
      end

      def find_by_agencies_and_stops(agencies, stops)
        fetch("/arrival-estimates.json",
          :query => {
            :agencies => formatted_list(agencies),
            :stops => formatted_list(stops)
          })
      end

      def find_by_agencies_and_routes_and_stops(agencies, routes, stops)
        fetch("/arrival-estimates.json",
            :query => {
              :agencies => formatted_list(agencies),
              :routes => formatted_list(routes),
              :stops => formatted_list(stops)
          })
      end

    end
  end
end